gtkmm 2.4: Pango::AttrString Class Reference

Main Page Widgets Namespaces Book

# Pango::AttrString Class Reference

Inheritance diagram for Pango::AttrString:

[legend]
List of all members.

## Detailed Description

A Pango::AttrString is used to represent an attribute with a string value.

## Public Member Functions
| AttrString (PangoAttrString* castitem, bool take_copy=true)
| AttrString (const AttrString& src)
Glib::ustring | get_string () const
| Gets the string which is the value of the attribute.
const PangoAttrString* | gobj () const
| Provides access to the underlying C GObject.
PangoAttrString* | gobj ()
| Provides access to the underlying C GObject.
AttrString& | operator= (const AttrString& src)
void | set_string (const Glib::ustring& string)
| Sets the string which is the value of the attribute.
## Protected Member Functions
| AttrString ()
## Related Functions
(Note that these are not member functions.)
Pango::AttrString | wrap (PangoAttrString* object, bool take_copy=false)

## Constructor & Destructor Documentation

Pango::AttrString::AttrString | ( |  | ) | `[protected]`

Pango::AttrString::AttrString | ( | const AttrString& | src | ) |

Pango::AttrString::AttrString | ( | PangoAttrString* | castitem,
|  | bool | take_copy = `true`
| ) | `[explicit]`

## Member Function Documentation

Glib::ustring Pango::AttrString::get_string | ( |  | ) | const

| Gets the string which is the value of the attribute. Returns: The string value of the attribute.

const PangoAttrString* Pango::AttrString::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Pango::Attribute.

PangoAttrString* Pango::AttrString::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Pango::Attribute.

AttrString& Pango::AttrString::operator= | ( | const AttrString& | src | ) |

void Pango::AttrString::set_string | ( | const Glib::ustring& | string | ) |

  | Sets the string which is the value of the attribute. Parameters:
  | string | The new string value for the attribute.

## Friends And Related Function Documentation

Pango::AttrString wrap | ( | PangoAttrString* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

The documentation for this class was generated from the following file:

- attributes.h